Summary: Internet Daemon: Authorization, User Identification
Name: pidentd-crypt
Version: 2.7
Release: 1
Source: ftp://ftp.warwick.ac.uk/pub/inet/ident/pidentd-2.7b3.tar.gz
Patch: pidentd-2.7b3-make.patch
Copyright: Public domain
Group: Networking
BuildRoot: /var/tmp/pidentd-root
Summary(de): Internet-Dmon: Autorisierung, User-Identifikation 
Summary(fr): Dmon Internet : autorisation, identification de l'utilisateur
Summary(tr): Internet kullanc saptama sreci
Obsoletes: pidentd
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
Prereq: shadow-utils fileutils

%description
identd is a program that implements the RFC1413 identification server.
identd operates by looking up specific TCP/IP connections and
returning the user name of the process owning the connection.

This version adds the DES encryption via libdes.

%description -l de
identd ist ein Programm, das den RFC1413-Identifikations-Server
implementiert. identd untersucht bestimmte TCP/IP-Verbindungen
und gibt dann den Benutzernamen des Prozesses aus, der die Verbindung besitzt.

This version adds the DES encryption via libdes.

%description -l fr
identd est un programme qui implante le RFC1413 serveur d'identication.
Il agit en regardant des connexions TCP/IP spcifiques et en renvoyant le
nom de l'utilisateur du processus qui possde la connexion.

This version adds the DES encryption via libdes.
%description -l tr
identd RFC1413 ile tanmlanm sunucuyu gerekleyen bir programdr. Balant
kuran srecin kullanc ismini geri dndrr.

This version adds the DES encryption via libdes.

%prep
%setup -q -n pidentd-2.7b3
%patch -p1 -b .make

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
	GDEFS='-DSTRONG_LOG -DALLOW_FORMAT -DINCLUDE_CRYPT' \
	GLIBS=-ldes linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr/{sbin,man/man8}}

make DESTROOT=$RPM_BUILD_ROOT/usr install
install -m 644 idecrypt.man ${RPM_BUILD_ROOT}/usr/man/man8/idecrypt.8
install -m 755 idecrypt ${RPM_BUILD_ROOT}/usr/sbin/idecrypt
touch ${RPM_BUILD_ROOT}/etc/identd.key

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS INSTALL README READMEs doc TODO ChangeLog
/usr/sbin/in.identd
/usr/sbin/idecrypt
/usr/man/man8/*identd.8
/usr/man/man8/idecrypt.8
%config %ghost %attr(0640,root,identd) /etc/identd.key

%pre
if grep -q identd /etc/group
then :
else
	echo "Creating the identd group." >&2
	/usr/sbin/groupadd -r identd
fi

%post
if test -r /etc/identd.key
then :
else
	echo "Creating /etc/identd.key." >&2
	dd if=/dev/urandom of=/etc/identd.key bs=1024 count=1 >/dev/null 2>&1
	chown root.identd /etc/identd.key
	chmod 640 /etc/identd.key
fi
cat >&2 <<'EOF'

You should add the -C/etc/identd.key option to the identd's command
in /etc/inetd.conf and tell the inetd to run identd as group "identd"
(change the "nobody" string to "nobody.identd" at the identd's line
in /etc/inetd.conf). Then restart the inetd using
"kill -HUP `cat /var/run/inetd.pid`".

EOF

%postun
if [ "$1" -eq 0 ]
then
	echo "Removing the identd group." >&2
	/usr/sbin/groupdel identd
fi

%changelog
* Sat Jan 16 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- DES support

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
